summaryrefslogtreecommitdiff
path: root/dev-python/cattrs
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-05-02 11:55:01 +0200
committerMichał Górny <mgorny@gentoo.org>2026-05-02 11:56:24 +0200
commit708477d2c0c16a9794ad84ff482539396291908d (patch)
tree52611ac56af370138107d74b2187a47dc233226f /dev-python/cattrs
parent5767978cdec7da207f6e2a95a93fff0ccf2ded80 (diff)
dev-python/cattrs: Pull cbor2 into USE=test-rust
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/cattrs')
-rw-r--r--dev-python/cattrs/cattrs-26.1.0.ebuild15
1 files changed, 14 insertions, 1 deletions
diff --git a/dev-python/cattrs/cattrs-26.1.0.ebuild b/dev-python/cattrs/cattrs-26.1.0.ebuild
index 709a2c6d510f..15f0686c2fa2 100644
--- a/dev-python/cattrs/cattrs-26.1.0.ebuild
+++ b/dev-python/cattrs/cattrs-26.1.0.ebuild
@@ -30,7 +30,6 @@ RDEPEND="
BDEPEND="
dev-python/hatch-vcs[${PYTHON_USEDEP}]
test? (
- >=dev-python/cbor2-5.4.6[${PYTHON_USEDEP}]
>=dev-python/immutables-0.20[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.5[${PYTHON_USEDEP}]
>=dev-python/pymongo-4.4.0[${PYTHON_USEDEP}]
@@ -40,6 +39,7 @@ BDEPEND="
>=dev-python/ujson-5.10.0[${PYTHON_USEDEP}]
test-rust? (
$(python_gen_cond_dep '
+ >=dev-python/cbor2-5.4.6[${PYTHON_USEDEP}]
>=dev-python/orjson-3.11.3[${PYTHON_USEDEP}]
' 'python*')
)
@@ -68,6 +68,19 @@ python_test() {
tests/test_preconf.py::test_msgspec_native_enums
)
+ if ! has_version "dev-python/cbor2[${PYTHON_USEDEP}]"; then
+ # https://github.com/python-attrs/cattrs/pull/748
+ sed -i -e '/cbor2_make_converter/d' tests/test_preconf.py || die
+
+ EPYTEST_DESELECT+=(
+ tests/test_preconf.py::test_cbor2
+ tests/test_preconf.py::test_cbor2_converter
+ tests/test_preconf.py::test_cbor2_converter_unstruct_collection_overrides
+ tests/test_preconf.py::test_cbor2_efficient_enum
+ tests/test_preconf.py::test_cbor2_native_enums
+ tests/test_preconf.py::test_cbor2_unions
+ )
+ fi
if ! has_version "dev-python/orjson[${PYTHON_USEDEP}]"; then
EPYTEST_DESELECT+=(
tests/test_preconf.py::test_orjson